org.eclipse.rdf4j.model.impl

## Class BooleanLiteralImpl

- java.lang.Object
- - org.eclipse.rdf4j.model.impl.SimpleLiteral
  - - org.eclipse.rdf4j.model.impl.BooleanLiteral
    - - org.eclipse.rdf4j.model.impl.BooleanLiteralImpl

- All Implemented Interfaces:
    Serializable, Literal, Value

  Deprecated.
  since 2.0. Use `BooleanLiteral` instead.

      @Deprecated
      public class BooleanLiteralImpl
      extends BooleanLiteral

  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BooleanLiteralImpl` | `FALSE` Deprecated. since 2.0. Use `BooleanLiteral.FALSE` instead.
    `static BooleanLiteralImpl` | `TRUE` Deprecated. since 2.0. Use `BooleanLiteral.TRUE` instead.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BooleanLiteralImpl(boolean b)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.BooleanLiteral

      `booleanValue, valueOf`

    - ### Methods inherited from class org.eclipse.rdf4j.model.impl.SimpleLiteral

      `byteValue, calendarValue, decimalValue, doubleValue, equals, floatValue, getDatatype, getLabel, getLanguage, hashCode, integerValue, intValue, longValue, setDatatype, setLabel, setLanguage, shortValue, stringValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TRUE

          @Deprecated
          public static final BooleanLiteralImpl TRUE

      Deprecated. since 2.0. Use `BooleanLiteral.TRUE` instead.

    - #### FALSE

          @Deprecated
          public static final BooleanLiteralImpl FALSE

      Deprecated. since 2.0. Use `BooleanLiteral.FALSE` instead.

  - ### Constructor Detail

    - #### BooleanLiteralImpl

          @Deprecated
          protected BooleanLiteralImpl(boolean b)

      Deprecated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.